Crea un lote de negocios
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/0-3/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"associations": [
{
"to": {
"id": "<string>"
},
"types": [
{
"associationTypeId": 123
}
]
}
],
"properties": {},
"objectWriteTraceId": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/crm/v3/objects/0-3/batch/create"
payload = { "inputs": [
{
"associations": [
{
"to": { "id": "<string>" },
"types": [{ "associationTypeId": 123 }]
}
],
"properties": {},
"objectWriteTraceId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
associations: [{to: {id: '<string>'}, types: [{associationTypeId: 123}]}],
properties: {},
objectWriteTraceId: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/crm/v3/objects/0-3/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lote
Create a batch of deals
Crear múltiples negocios en una única solicitud.
POST
/
crm
/
v3
/
objects
/
0-3
/
batch
/
create
Crea un lote de negocios
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
application/json
Show child attributes
Show child attributes
Respuesta
successful operation
Un objeto de respuesta de lote de objetos públicos
La marca de tiempo en que se completó el procesamiento por lotes, en formato ISO 8601.
Show child attributes
Show child attributes
La marca de tiempo en que comenzó el procesamiento por lotes, en formato ISO 8601.
El estado de la solicitud de procesamiento por lotes. El valor esperado es "COMPLETE".
Opciones disponibles:
CANCELED, COMPLETE, PENDING, PROCESSING Un objeto que contiene los enlaces relacionados con la solicitud por lotes.
Show child attributes
Show child attributes
La marca de tiempo en la que se realizó inicialmente la solicitud por lotes, en formato ISO 8601.
Última modificación el 3 de abril de 2026
⌘I